Subject: [i2rs] Response to review-ietf-i2rs-yang-network-topo-14-rtgdir-lc-robles-2017-07-24

From: "Alexander Clemm" <[email-masked]>
Date: Tue, 14 Nov 2017 17:15:04 +0800

Hello Ines,

Please find enclosed my responses.  (My apologies for the late reply and thanks to Sue for pointing out we still needed to reply.)

Thank you and kind regards

--- Alex

review-ietf-i2rs-yang-network-topo-14-rtgdir-lc-robles-2017-07-24

Hello,
 
I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
 
Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
 
Document: draft-ietf-i2rs-yang-network-topo-14.txt
Reviewer: Ines Robles
Review Date: 07-25-2017
Intended status: Standards Track
 
Summary:
I have some minor concerns about this document that I think should be resolved before publication.
 
Comments:
 
I believe the draft is technically good. This document is well written and clear to understand. The figures are clear and helpful.
 
Major Issues:
 
No major issues found.
 
Minor Issues:
 
Since this document specifies a data model, I would include some text related to the Information Model [RFC 3444]. How would it be in this context?
<ALEX> Added a reference.  However, I note this is uncommon for documents that define YANG data models (as it is clear this is about a data model, not an information model.    
</ALEX>
 
1- Section 1
 
  1.a following Figure 1 (Page 4):
 
    I would add in the figure the corresponding section that explain the module. e.g. Abstract Network Model, I would add in the figure "Abstract (base) Network Model" and "section 4.1".
    The same for "Abstract Topology Model", should it be section 4.2?
 
<ALEX> The text talks about the abstract (based) network YANG module and subsequently uses the term abstract, not base, to describe the boxes depicted in the diagram. Therefore we would prefer to keep it as is.  
</ALEX> 
 
  1.b -following Figure 2 (Page 5):
 
      1.b.1- " X1 and X2 - mapping onto... ",  I think it would be "X1 and X3 mapping onto..."
<ALEX> thank you, good catch
</ALEX>
 
      1.b.2- " a single L3 network element", I would add in this case (Y2) "a single L3 (Y2) network element",
      the same for "The figure shows a single "L3" network element mapped onto multiple "Optical" network elements.",
      I would add "The figure shows a single "L3" network element (Y2) mapped onto multiple "Optical" network elements [Z] and [Z1]."
 
<ALEX> done </ALEX>
      1.b.3- I would expand ROADMs --> Reconfigurable Optical Add/Drop Multiplexers (ROADMs)
 
<ALEX> done </ALEX>
2- Section 2:
 
  2.1- I would add a reference to RFC 6020, since the document uses terminology e.g container, augment, etc. which are defined in 6020. Even if this RFC is mentioned in the normative reference, still I would add it here as well.
<ALEX> We reference RFC 7950, which is YANG 1.1. RFC 6020 needs to be referenced for its registries </ALEX>
 
3- Section 3:
 
  3.1-  ReST is mentioned here but not in the rest of the draft, is this correct?
 
<ALEX> removed </ALEX>
 
Nits:
 
1- Pag. 18: is that correct?: "(a string is a string is a string)"
<ALEX> removed this </ALEX>
 
2- pag. 34: I would expand NMS -> NMS (Network Management System)
<ALEX> done </ALEX>
 
3- pag. 34: I would add a definition about TE Topology : "TE-Topology: The TE Topology is a schematic arrangement of TE nodes
   and TE links in a given TED. It forms the basis for a graph suitable
   for TE path computations." [ <https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-12> https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-12]
<ALEX> No longer applicable, text in question has been struck.  Note that one of the coauthors is also author on the TE topology draft </ALEX>
 
4- pag. 34: topoogical -> topological
<ALEX> done </ALEX>
 
5- pag 35: "uber-network device" -> over-network device?
<ALEX> I thought it was okay, but I changed it to “or managed system”.  </ALEX>
 
Thanks,
 
Ines.

---

From: Ines Robles <[email-masked]>
Date: Tue, 14 Nov 2017 18:11:20 +0800

Hello Alexander,

Thank you for your comments.
I agree with them.
Cheers,
Ines

On Nov 14, 2017 17:15, "Alexander Clemm" <[email-masked]> wrote:

Hello Ines,

Please find enclosed my responses.  (My apologies for the late reply and
thanks to Sue for pointing out we still needed to reply.)

--- Alex

Hello,

I have been selected as the Routing Directorate reviewer for this
draft. The Routing Directorate seeks to review all routing or
routing-related drafts as they pass through IETF last call and IESG
review, and sometimes on special request. The purpose of the review is
to provide assistance to the Routing ADs. For more information about
the Routing Directorate, please see
​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs,
it would be helpful if you could consider them along with any other
IETF Last Call comments that you receive, and strive to resolve them
through discussion or by updating the draft.

Reviewer: Ines Robles

Review Date: 07-25-2017

Summary:

I have some minor concerns about this document that I think should be
resolved before publication.

Comments:

I believe the draft is technically good. This document is well written
and clear to understand. The figures are clear and helpful.

Major Issues:

No major issues found.

Minor Issues:

Since this document specifies a data model, I would include some text
related to the Information Model [RFC 3444]. How would it be in this
context?

<ALEX> Added a reference.  However, I note this is uncommon for
documents that define YANG data models (as it is clear this is about a
data model, not an information model.

</ALEX>

1- Section 1

    I would add in the figure the corresponding section that explain
the module. e.g. Abstract Network Model, I would add in the figure
"Abstract (base) Network Model" and "section 4.1".

<ALEX> The text talks about the abstract (based) network YANG module
and subsequently uses the term abstract, not base, to describe the
boxes depicted in the diagram. Therefore we would prefer to keep it as
is.

</ALEX>

      1.b.1- " X1 and X2 - mapping onto... ",  I think it would be "X1
and X3 mapping onto..."

</ALEX>

      1.b.2- " a single L3 network element", I would add in this case
(Y2) "a single L3 (Y2) network element",

      the same for "The figure shows a single "L3" network element
mapped onto multiple "Optical" network elements.",

      I would add "The figure shows a single "L3" network element (Y2)
mapped onto multiple "Optical" network elements [Z] and [Z1]."

<ALEX> done </ALEX>

      1.b.3- I would expand ROADMs --> Reconfigurable Optical Add/Drop
Multiplexers (ROADMs)

<ALEX> done </ALEX>

2- Section 2:

  2.1- I would add a reference to RFC 6020, since the document uses
terminology e.g container, augment, etc. which are defined in 6020.
Even if this RFC is mentioned in the normative reference, still I
would add it here as well.

<ALEX> We reference RFC 7950, which is YANG 1.1. RFC 6020 needs to be
referenced for its registries </ALEX>

3- Section 3:

  3.1-  ReST is mentioned here but not in the rest of the draft, is
this correct?

<ALEX> removed </ALEX>

Nits:

<ALEX> done </ALEX>

3- pag. 34: I would add a definition about TE Topology : "TE-Topology:
The TE Topology is a schematic arrangement of TE nodes

   for TE path computations."
[https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-12]

<ALEX> No longer applicable, text in question has been struck.  Note
that one of the coauthors is also author on the TE topology draft
</ALEX>

<ALEX> done </ALEX>

Thanks,

Ines.